/*
 * Copyright (c) 2002 Apple Computer, Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * The contents of this file constitute Original Code as defined in and
 * are subject to the Apple Public Source License Version 1.1 (the
 * "License").  You may not use this file except in compliance with the
 * License.  Please obtain a copy of the License at
 * http://www.apple.com/publicsource and read it before using this file.
 * 
 * This Original Code and all software distributed under the License are
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT.  Please see the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * @APPLE_LICENSE_HEADER_END@
 */
#ifndef __MATH_H__
#define __MATH_H__

#if (defined(__ppc__) || defined(__ppc64__))
#include "architecture/ppc/math.h"
#elif defined (__i386__)
#include "architecture/i386/math.h"
#else
#error Unknown architecture
#endif

#if defined(__USE_FIXED_PROTOTYPES__) || defined(__cplusplus) || defined (__STRICT_ANSI__)
extern double acos (double);
extern double asin (double);
extern double atan (double);
extern double atan2 (double, double);
extern double ceil (double);
extern double cos (double);
extern double cosh (double);
extern double exp (double);
extern double fabs (double);
extern double floor (double);
extern double fmod (double, double);
extern double frexp (double, int *);
extern double ldexp (double, int);
extern double log10 (double);
extern double log (double);
extern double modf (double, double *);
extern double pow (double, double);
extern double sin (double);
extern double sinh (double);
extern double sqrt (double);
extern double tan (double);
extern double tanh (double);
#endif /* defined(__USE_FIXED_PROTOTYPES__) || ... */
#endif /* __MATH_H__ */
